SATA_SCR_WRITE(9)

NAME
sata_scr_write - write SCR register of the specified port

SYNOPSIS

int sata_scr_write(struct ata_link * link, int reg, u32 val);

ARGUMENTS

link
    ATA link to write SCR for

reg
    SCR to write

val
    value to write

DESCRIPTION

Write val to SCR register reg of link. This function is guaranteed to succeed if link is ap->link, the cable type of the port is SATA and the port implements ->scr_read.

LOCKING

None if link is ap->link. Kernel thread context otherwise.

RETURNS

0 on success, negative errno on failure.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT